Indicators <- function (recipe){
    if (recipe$Analysis$Indicators$SPEI$compute){
        # call CSIndicators SPEI
        # if frequency of loaded data is daily -> aggregate to monthly data? (spei is only defined for monthly data)

        # read recipe parameters
        variables <- strsplit(recipe$Analysis$Variables$name, ' ')[[1]]
            accum <- if(is.integer(recipe$Analysis$Workflow$Indicators$SPEI$accum_options)){recipe$Analysis$Workflow$Indicators$SPEI$accum_options}else{as.integer(strsplit(recipe$Analysis$Workflow$Indicators$SPEI$accum_options, ' ')[[1]])}
            start <- recipe$Analysis$Workflow$Indicators$SPEI$start
            end <- recipe$Analysis$Workflow$Indicators$SPEI$end
            evapotranspiration_method <- recipe$Analysis$Workflow$Indicators$SPEI$evapotranspiration_method # if NULL the variable is directly provided and will skip the step of evapotranspiration computation
            evapotranspiration_method_fcst <- recipe$Analysis$Workflow$Indicators$SPEI$evapotranspiration_method_fcst # if NULL the variable is directly provided and will skip the step of evapotranspiration computation
            standardization <- as.logical(recipe$Analysis$Workflow$Indicators$SPEI$standardization)
                param_error <- recipe$Analysis$Workflow$Indicators$SPEI$Standardization_parameters$param_error
                handle_infinity <- recipe$Analysis$Workflow$Indicators$SPEI$Standardization_parameters$handle_infinity
                cross_validation <- recipe$Analysis$Workflow$Indicators$SPEI$Standardization_parameters$cross_validation
                method <- recipe$Analysis$Workflow$Indicators$SPEI$Standardization_parameters$method
                distribution <- recipe$Analysis$Workflow$Indicators$SPEI$Standardization_parameters$distribution
                fit <- recipe$Analysis$Workflow$Indicators$SPEI$Standardization_parameters$fit
            n_procs <- recipe$Analysis$ncores
                
            time_dim = 'syear' # default SUNSET
            leadtime_dim = 'time' # default SUNSET
            memb_dim = 'ensemble' # default SUNSET
            var_dim = 'var' # default SUNSET
            lon_dim <- 'longitude' # default SUNSET
            lat_dim <- 'latitude' # default SUNSET
        
        # ...
    }
    if (recipe$Analysis$Indicators$Threshold_Indicator$compute){
        # read list of indicators / variables
        # read and apply thresholds according to op (if variable) or to predefined functions if indicator
    }
    if (recipe$Analysis$Indicators$Bioclimatic_Indicators$compute){
        # call bioclimatic indicators function (from CSIndicators?)
    }

    return(indicator) # or list of indicators ....
}